/////////////////////ACDFSM by Redphoenix///////////////////////////////////////////////
//////main shader
///////////////////////////////////////////////////////////////////////////////////////////////////////////
Texture TargetMap;
Texture mtlSkin1;
Texture mtlSkin2;
Texture mtlSkin3;
float4 vecSkill1;
sampler2D main_map = sampler_state { Texture = <TargetMap>;
   AddressU  = clamp;
AddressV  = clamp;

 };
sampler2D shadow_map = sampler_state { Texture = <mtlSkin1>;
   AddressU  = clamp;
AddressV  = clamp;

 };
sampler2D shadow2_map = sampler_state { Texture = <mtlSkin2>;
   AddressU  = clamp;
AddressV  = clamp;

 };
sampler2D shadow3_map = sampler_state { Texture = <mtlSkin3>;
   AddressU  = clamp;
AddressV  = clamp;

 };
float4 mainPS(float2 tex : TEXCOORD0) : COLOR
{
 
	float4 Color = tex2D(main_map,tex);
	float4 Shadow = tex2D(shadow_map,tex);   	
	float4 Shadow2 = tex2D(shadow2_map,tex);   	
	float4 Shadow3 = tex2D(shadow3_map,tex); 
	if(Shadow.a<=0.1)Shadow = 1.0;
	if(Shadow2.a<=0.1)Shadow2 = 1.0;	
	if(Shadow3.a<=0.1)Shadow3 = 1.0;		
   return float4(Color.rgb*((Shadow.rgb+Shadow2.rgb+Shadow3.rgb)*vecSkill1.x),Color.a);
}


// Technique
technique ShadowMap
{
	pass Pass0
	{
		PixelShader = compile ps_2_0 mainPS();
	}
}