//////////////////////////////def.c////////////////////////////////////////////////

/////////////////////////////global defines///////////////////////////////////////////////

#define WS_EX_MDICHILD          0x00000040L
#define WS_EX_TOOLWINDOW        0x00000080L
#define WS_EX_WINDOWEDGE        0x00000100L
//#define WS_EX_CLIENTEDGE        0x00000200L
#define WS_EX_CONTEXTHELP       0x00000400L


#define WS_EX_RIGHT             0x00001000L
#define WS_EX_LEFT              0x00000000L
#define WS_EX_RTLREADING        0x00002000L
#define WS_EX_LTRREADING        0x00000000L
#define WS_EX_LEFTSCROLLBAR     0x00004000L
#define WS_EX_RIGHTSCROLLBAR    0x00000000L

#define WS_EX_CONTROLPARENT     0x00010000L
#define WS_EX_STATICEDGE        0x00020000L
#define WS_EX_APPWINDOW         0x00040000L


#define WS_EX_OVERLAPPEDWINDOW  (WS_EX_WINDOWEDGE | WS_EX_CLIENTEDGE)
#define WS_EX_PALETTEWINDOW     (WS_EX_WINDOWEDGE | WS_EX_TOOLWINDOW | WS_EX_TOPMOST)


#define WS_EX_LAYERED           0x00080000


#define WS_EX_NOINHERITLAYOUT   0x00100000L // Disable inheritence of mirroring by children
#define WS_EX_LAYOUTRTL         0x00400000L // Right to left mirroring

#define WS_EX_COMPOSITED        0x02000000L
#define WS_EX_NOACTIVATE        0x08000000L

/////////////////////////////////addtional type definitions
typedef WORD *LPWORD;
typedef /* [wire_marshal] */ void *HGLOBAL;
typedef /*unsigned */short wchar_t;

typedef wchar_t WCHAR;
typedef /* [string] */ WCHAR *LPWSTR;
typedef WCHAR TCHAR;
typedef /* [string] */ /*T*/ char *LPTSTR; //Tchar definition disabled as Gs does not need unicode strings as input
typedef /* [string] */ const TCHAR *LPCTSTR;
/*typedef struct tagPOINT { 
  LONG x; 
  LONG y; 
}  POINT;
typedef POINT * PPOINT;*/
typedef struct tagHELPINFO      /* Structure pointed to by lParam of WM_HELP */
{
    UINT    cbSize;             /* Size in bytes of this struct  */
    int     iContextType;       /* Either HELPINFO_WINDOW or HELPINFO_MENUITEM */
    int     iCtrlId;            /* Control Id or a Menu item Id. */
    HANDLE  hItemHandle;        /* hWnd of control or hMenu.     */
    long* dwContextId;      /* Context Id associated with this item */
    void*   MousePos;           /* Mouse Position in screen co-ordinates */
}  HELPINFO;
typedef HELPINFO *LPHELPINFO;


typedef struct {
    DWORD style;
    DWORD dwExtendedStyle;
    WORD cdit;
    short x;
    short y;
    short cx;
    short cy;
} DLGTEMPLATE;
typedef DLGTEMPLATE *LPDLGTEMPLATE;
//typedef CONST DLGTEMPLATE *LPCDLGTEMPLATE;

typedef struct {
    DWORD style;
    DWORD dwExtendedStyle;
    short x;
    short y;
    short cx;
    short cy;
    WORD id;
} DLGITEMTEMPLATE;
typedef DLGITEMTEMPLATE *PDLGITEMTEMPLATE;
typedef DLGITEMTEMPLATE *LPDLGITEMTEMPLATE;



int
WINAPI
MultiByteToWideChar(
    UINT     CodePage,
    DWORD    dwFlags,
    LPCSTR   lpMultiByteStr,
    int      cbMultiByte,
    LPWSTR  lpWideCharStr,
    int      cchWideChar);

typedef struct _WINDOWPLACEMENT {
    UINT length;
    UINT flags;
    UINT showCmd;
    POINT ptMinPosition;
    POINT ptMaxPosition;
    RECT rcNormalPosition;
} WINDOWPLACEMENT;

typedef struct tagTCITEM
{
    UINT mask;
    DWORD dwState;
    DWORD dwStateMask;
    LPSTR pszText;
    int cchTextMax;
    int iImage;

    LPARAM lParam;
} TCITEM;

typedef struct tagNMHDR
{
    HWND      hwndFrom;
    UINT_PTR  idFrom;
    UINT      code;         // NM_ code
}   NMHDR;
typedef NMHDR * LPNMHDR;
#define TCIF_TEXT               0x0001

TCITEM* temp_item = {
	mask = TCIF_TEXT;
}

#define WM_NOTIFY                       0x004E
#define WM_HELP                         0x0053
#define NM_CLICK                (0xFFFD)    // uses NMCLICK struct
#define TB_THUMBTRACK           5


/////////Static control////////////
#define SS_ETCHEDFRAME      0x00000012
#define SS_SUNKEN           0x00001000
#define SS_BITMAP           0x0000000E
#define STM_SETIMAGE        0x0172
#define STM_GETIMAGE        0x0173
////////Button///////////////

#define BST_UNCHECKED      0x0000
#define BST_CHECKED        0x0001
#define BST_INDETERMINATE  0x0002
#define BST_PUSHED         0x0004
#define BST_FOCUS          0x0008
#define BM_GETIMAGE        0x00F6
#define BM_SETIMAGE        0x00F7
#define IMAGE_BITMAP        0
#define IMAGE_ICON          1
#define BS_BITMAP           0x00000080
#define BN_CLICKED          0
#define BS_CENTER           0x00000300

//Edit Control
#define ES_LEFT             0x0000
#define ES_CENTER           0x0001
#define ES_RIGHT            0x0002
#define ES_MULTILINE        0x0004
#define ES_UPPERCASE        0x0008
#define ES_LOWERCASE        0x0010
#define ES_PASSWORD         0x0020
#define ES_AUTOVSCROLL      0x0040
#define ES_AUTOHSCROLL      0x0080
#define ES_NOHIDESEL        0x0100
#define ES_OEMCONVERT       0x0400
#define ES_READONLY         0x0800
#define ES_WANTRETURN       0x1000
#define ES_NUMBER           0x2000

//Trackbar control
//Class names definitions
#define TRACKBAR_CLASS         "msctls_trackbar32"

//Trackbar styles
#define TBS_AUTOTICKS           0x0001
#define TBS_VERT                0x0002
#define TBS_HORZ                0x0000
#define TBS_TOP                 0x0004
#define TBS_BOTTOM              0x0000
#define TBS_LEFT                0x0004
#define TBS_RIGHT               0x0000
#define TBS_BOTH                0x0008
#define TBS_NOTICKS             0x0010
#define TBS_ENABLESELRANGE      0x0020
#define TBS_FIXEDLENGTH         0x0040
#define TBS_NOTHUMB             0x0080
#define TBS_TOOLTIPS            0x0100
#define TBS_REVERSED            0x0200  // Accessibility hint: the smaller number (usually the min value) means "high" and the larger number (usually the max value) means "low"

#define TBS_DOWNISLEFT          0x0400  // Down=Left and Up=Right (default is Down=Right and Up=Left)

#define TBM_GETPOS              (WM_USER)
#define TBM_GETRANGEMIN         (WM_USER+1)
#define TBM_GETRANGEMAX         (WM_USER+2)
#define TBM_GETTIC              (WM_USER+3)
#define TBM_SETTIC              (WM_USER+4)
#define TBM_SETPOS              (WM_USER+5)
#define TBM_SETRANGE            (WM_USER+6)
#define TBM_SETRANGEMIN         (WM_USER+7)
#define TBM_SETRANGEMAX         (WM_USER+8)
#define TBM_CLEARTICS           (WM_USER+9)
#define TBM_SETSEL              (WM_USER+10)
#define TBM_SETSELSTART         (WM_USER+11)
#define TBM_SETSELEND           (WM_USER+12)
#define TBM_GETPTICS            (WM_USER+14)
#define TBM_GETTICPOS           (WM_USER+15)
#define TBM_GETNUMTICS          (WM_USER+16)
#define TBM_GETSELSTART         (WM_USER+17)
#define TBM_GETSELEND           (WM_USER+18)
#define TBM_CLEARSEL            (WM_USER+19)
#define TBM_SETTICFREQ          (WM_USER+20)
#define TBM_SETPAGESIZE         (WM_USER+21)
#define TBM_GETPAGESIZE         (WM_USER+22)
#define TBM_SETLINESIZE         (WM_USER+23)
#define TBM_GETLINESIZE         (WM_USER+24)
#define TBM_GETTHUMBRECT        (WM_USER+25)
#define TBM_GETCHANNELRECT      (WM_USER+26)
#define TBM_SETTHUMBLENGTH      (WM_USER+27)
#define TBM_GETTHUMBLENGTH      (WM_USER+28)
#define TBM_SETTOOLTIPS         (WM_USER+29)
#define TBM_GETTOOLTIPS         (WM_USER+30)
#define TBM_SETTIPSIDE          (WM_USER+31)


////////////////////////////variables//////////////////////////////////////////////////////
var pp_3dfaktor = 5;
var temp[3];
var tempi;
var camera_move_fac;
var movement_mode = 0;
var my_timer;
var command_mess = 0;
var level_num = 1;
////////////////////////////pointer/////////////////////////////////////////////////////////
VECTOR* camera_move_vec = { x = 0; y = 0; z = 0; }
VECTOR* temp_vec = { x = 0; y = 0; z = 0; }

///////////////////////////objects///////////////////////////////////////////////////////////
HWND act_wnd = NULL;
//HWND prop_wnd = NULL;
HWND thump_wnd;
var num_menus = 0;
HWND menu_arr[20];
STRING* temp_str = "";

HMENU hMenu;	
HMENU hSubMenu1;
HMENU hSubMenu2;

//BMAP* blichtBmap = "blue1.bmp";

//////////////////////function prototypes//////////////////////////////////////////////////
function init_screen();
function setup_env();
function set_menu();
function switch_level(num);
function walkthrough(num);

PANEL* render_pan = {
	size_x = 1536;
	size_y = 256;
	pos_x = 0;
	pos_y = 0;
	//flags = SHOW;
}


 MATERIAL* wf_plantmat = {
	ambient_red = 180;
	ambient_green = 220;
	ambient_blue = 180;
	emissive_red = 0;
	emissive_green = 0;
	emissive_blue = 0;
	specular_red = 0;
	specular_green = 0;
	specular_blue = 0;
	diffuse_red = 255;
	diffuse_green = 255;
	diffuse_blue = 255;
   power = 0;
   flags = AUTORELOAD | OVERRIDE;   	   
   effect="plant.fx";
        
}

MATERIAL* wf_plantmat2 = {
	ambient_red = 180;
	ambient_green = 220;
	ambient_blue = 180;
	emissive_red = 0;
	emissive_green = 0;
	emissive_blue = 0;
	specular_red = 0;
	specular_green = 0;
	specular_blue = 0;
	diffuse_red = 255;
	diffuse_green = 255;
	diffuse_blue = 255;
   power = 0;	 
   effect="texture entSkin1;
        technique vegetation
        {
                pass p0
                {
                        Texture[0]=<entSkin1>;
                        ZWriteEnable=True;
                        AlphaBlendEnable=True;
                        AlphaTestEnable=True;
                        AlphaFunc=Greater;
                        AlphaRef=40;
                        CullMode=ccw; // none when sigle sided polys, or ccw when double sided polys

                        ColorArg1[0]=Texture;
                        ColorOp[0]=Modulate;
                        ColorArg2[0]=Diffuse;
                }
        }";
}
MATERIAL* block_mat = {
	ambient_red = 0;
	ambient_green = 0;
	ambient_blue = 0;
	emissive_red = 0;
	emissive_green = 0;
	emissive_blue = 0;
	specular_red = 0;
	specular_green = 0;
	specular_blue = 0;
	diffuse_red = 0;
	diffuse_green = 0;
	diffuse_blue = 0;
   power = 0;	   
}


ENTITY* sky_simple = { 
	type = "skycube+6.bmp"; 
	layer = 4; 
	flags2 = VISIBLE | CUBE | SKY; 
}
