// testland.c
//////////////////////////////////////////Testscript for tutorials or experiments of any kind///////////////////////////////////////////////
//////////////////////////////////////////by redphoenix////////////////////////////////////////////////////////////////////
// l1.c
//LiteC Puremode
#include <acknex.h>
#include <default.c>
#include <windows.h> 

//////////////////////////////////////////////////////////////////////////////////////
#include "def.c"
#include "acdfsm_main.c"
function create_menu_tool(SHADOW_STRUCT* my_shadow);

long ScanMessage_def(UINT message, WPARAM wParam, LPARAM lParam)
{
   switch(message) {
      case WM_COMMAND:
         switch(wParam){
         	//case 1: switch_level(level_num+1); break;
            //case 2: switch_level(level_num-1);  break;
            //case 3: walkthrough(level_num);  break; 
            case 4: sys_exit("");  break; 
            case 5: create_menu_tool(shadowlights[0]); break;            
            case 6:  create_menu_tool(shadowlights[1]); break;
            case 7:  create_menu_tool(shadowlights[2]); break;
            case 8:  create_menu_tool(shadowlights[3]); break;            
            default : break;
         }
      return(1);	
   }
   return(0);
}

function main() {
  terrain_chunk = 32; 
  mip_levels = 9; 
  video_mode = 10;	 
  video_depth = 32; // 32 bit colour mode
  d3d_antialias = 0;
  d3d_anisotropy = 0;  
  max_entities = 10000;//window_vars[4];
  max_particles = 10000;
  camera.clip_far = 50000;
  video_window(nullvector,nullvector,112,"ACDF Shadow Mapping for A7");
  on_scanmessage = ScanMessage_def; //input menufunction for windows style api menu 
   wait(1); //Load Video device  
   random_seed(0);
   wait(3);
   level_load ("testland.wmb");
   wait (1);
   setup_env();
}


function camera_movement_startup() {
wait(-1);
while (1) {
   if (!mouse_valid){ wait(1); continue; } 
   if (mouse_right) { 
      mouse_mode = 1; 
   }
   else { mouse_mode = 4; }
  temp[0] = (15+10*key_shift)*(key_w-key_s+mickey.z*4);
  temp[1] = (15+10*key_shift)*(key_a-key_d);
  temp[2] = (15+10*key_shift)*(key_q-key_e);//This is my favourite control method of course there are other opinions
  camera_move_fac = vec_dist(nullvector,temp);
  vec_set(camera_move_vec,temp);
  
  vec_scale(temp,time_step);  
  vec_rotate (temp,camera.pan);
  if (!movement_mode) {
  vec_add (camera.x,temp);
  if (mouse_mode < 2) {
  camera_move_fac += mouse_force.x*(10+6*key_shift) + mouse_force.y*(10+6*key_shift);	
  vec_add(camera_move_vec,vector(mouse_force.x*(10+6*key_shift)*cos(camera.pan),mouse_force.x*(10+6*key_shift)*sin(camera.pan),mouse_force.y*(10+6*key_shift)*cos(camera.tilt))); 
  camera.pan -= mouse_force.x *time_step*(10+6*key_shift);
  camera.tilt += mouse_force.y *time_step*(10+6*key_shift);
  }
  }
  wait (1); 
}
}

function manage_menu1() { create_menu_tool(shadowlights[0]); }
function manage_menu2() { create_menu_tool(shadowlights[1]); }
function manage_menu3() { create_menu_tool(shadowlights[2]); }

function control_keys() {
	on_1 = manage_menu1;
	on_2 = manage_menu2;
	on_3 = manage_menu3; 
   while(1) {
   	sun_angle.pan = (sun_angle.pan + (key_h - key_f)*3*time_step)%360;
   	sun_angle.tilt = (sun_angle.tilt + (key_t - key_g)*2*time_step)%90; 
   	sun_shadow.range = sun_shadow.range + (key_r-key_y)*20*time_step;	
   	wait(1);
   }	
}
var start = 2;
function do_level1() {
	sun_angle.pan = 180;
	sun_angle.tilt = 40;
	sun_light = 0;
	sun_color.red = 255;
	sun_color.green = 255;
	sun_color.blue = 128;
	wait(3);
	sun_light = 100;
	d3d_spotlightcone.x = 45;
	d3d_spotlightcone.y = 20;	
	d3d_spotlightcone.z = 0;	
	sun_shadow.res = 1024;
	set(sun_shadow,DEPTHBLUR);
	reset(sun_shadow,BLUR);
	sun_shadow.blur = 60;
	sun_shadow.soften = 120;
	sun_shadow.views = 4;	
	init_shadows(start,3);
	start = 1;
}
/*
function do_level2() {
	sun_angle.pan = 180;
	sun_angle.tilt = 30;
	sun_light = 0;
	sun_color.red = 255;
	sun_color.green = 255;
	sun_color.blue = 255;
	wait(3);
	sun_light = 100;
	sun_shadow.res = 2048;
	reset(sun_shadow,DEPTHBLUR);
	set(sun_shadow,BLUR);
	sun_shadow.blur = 145;
	sun_shadow.soften = 300;
	init_shadows(1,1);
}
function do_level3() {
	sun_light = 100;
	init_shadows(0,4);

}
*/
function setup_env() {
	wait(1);
   do_level1();	
	control_keys();
	set_menu();
	wait(1);
	//create_menu_tool(sun_shadow);
}

///////////////////////////////////////////dialog stuff/////////////////////////////////////////

HWND lpwCreateControl(HWND hwndOwner, BOOL t_process, HINSTANCE hinst);

BOOL CALLBACK t_edit_proc(HWND hWndDlg, UINT message, WPARAM wParam, LPARAM lParam)
{
   switch( message )
    {
            case WM_COMMAND:
            	  if (LOWORD(wParam) == 1 && HIWORD(wParam) == CBN_SELCHANGE) { act_wnd = hWndDlg; command_mess = 1; }            	                              	  
            	  if (LOWORD(wParam) == 7 && HIWORD(wParam) == BN_CLICKED) {  act_wnd = hWndDlg; command_mess = 7; }           	  
            	  if (LOWORD(wParam) == 21 && HIWORD(wParam) == EN_CHANGE) {   act_wnd = hWndDlg; command_mess = 21; }
            	  if (LOWORD(wParam) == 22 && HIWORD(wParam) == EN_CHANGE) {   act_wnd = hWndDlg; command_mess = 22; }
            	  if (LOWORD(wParam) == 23 && HIWORD(wParam) == EN_CHANGE) {   act_wnd = hWndDlg; command_mess = 23; }
            	  if (LOWORD(wParam) == 24 && HIWORD(wParam) == EN_CHANGE) {   act_wnd = hWndDlg; command_mess = 24; }
            	  if (LOWORD(wParam) == 25 && HIWORD(wParam) == EN_CHANGE) {   act_wnd = hWndDlg; command_mess = 25; }
            	  if (LOWORD(wParam) == 26 && HIWORD(wParam) == EN_CHANGE) {   act_wnd = hWndDlg; command_mess = 26; }
            	  if (LOWORD(wParam) == 27 && HIWORD(wParam) == EN_CHANGE) {   act_wnd = hWndDlg; command_mess = 27; }
            	  if (LOWORD(wParam) == 28 && HIWORD(wParam) == EN_CHANGE) {   act_wnd = hWndDlg; command_mess = 28; }
            	  if (LOWORD(wParam) == 29 && HIWORD(wParam) == EN_CHANGE) {   act_wnd = hWndDlg; command_mess = 29; }           	  
            	  if (LOWORD(wParam) == 30 && HIWORD(wParam) == CBN_SELCHANGE) { act_wnd = hWndDlg; command_mess = 30; }            	                   
            	  if (LOWORD(wParam) == 41 && HIWORD(wParam) == BN_CLICKED) {  act_wnd = hWndDlg; command_mess = 41; }           	  
            	  if (LOWORD(wParam) == 42 && HIWORD(wParam) == BN_CLICKED) {  act_wnd = hWndDlg; command_mess = 42; }           	  
            	  if (LOWORD(wParam) == 43 && HIWORD(wParam) == BN_CLICKED) {  act_wnd = hWndDlg; command_mess = 43; }           	  
            	  if (LOWORD(wParam) == 50 && HIWORD(wParam) == BN_CLICKED) {  act_wnd = hWndDlg; command_mess = 50; }           	              	  
            	  if (LOWORD(wParam) == 51 && HIWORD(wParam) == EN_CHANGE) {   act_wnd = hWndDlg; command_mess = 51; }
            
            break;
            case WM_HSCROLL:
                if (LOWORD(wParam) == TB_THUMBTRACK ) { thump_wnd = lParam; act_wnd = hWndDlg; command_mess = 11; }   
            break; 
            case WM_CLOSE:
              //if (hWndDlg == prop_wnd) prop_wnd = NULL;      
              DestroyWindow(hWndDlg);
              hWndDlg = NULL;              
              return FALSE;
            default: 
              return FALSE;
    }
    return TRUE;

}

HWND diag_edit_lay(HINSTANCE hinst, HWND hwndOwner,posx,posy,sizex,sizey,mode)
{
    HGLOBAL hgbl;
    LPDLGTEMPLATE lpdt;
    LPDLGITEMTEMPLATE lpdit;
    LPWORD lpw;
    LPWSTR lpwsz;
    LRESULT ret;
    int nchar;

    hgbl = GlobalAlloc(GMEM_ZEROINIT, 1024);
    if (!hgbl)
        return NULL;
 
    lpdt = (LPDLGTEMPLATE)GlobalLock(hgbl);
 
    // Define a dialog box.
 
    lpdt->style = WS_POPUP | WS_BORDER | WS_SYSMENU | WS_CAPTION;
    lpdt->dwExtendedStyle = WS_EX_TOOLWINDOW | WS_EX_CONTEXTHELP;
    lpdt->cdit = 0;         // Number of controls
    lpdt->x  = posx;  lpdt->y  = posy;
    lpdt->cx = sizex; lpdt->cy = sizey;

    lpw = (LPWORD)(lpdt + 1);
    lpw++; *lpw = 0;             // No menu
    lpw++; *lpw = 0;             // Predefined dialog box class (by default)

    lpwsz = (LPWSTR)lpw;
    nchar = 1 + MultiByteToWideChar(CP_ACP, 0, _chr(temp_str), -1, lpwsz, 50);
    lpw += nchar;

    GlobalUnlock(hgbl); 
    if (!mode){  ret = CreateDialogIndirectParam(hinst, 
                           (LPDLGTEMPLATE)hgbl, 
                           hwndOwner, 
                           t_edit_proc,
                           NULL);  }
    else { ret = DialogBoxIndirectParam(hinst, 
                           (LPDLGTEMPLATE)hgbl, 
                           hwndOwner, 
                           t_edit_proc,
                           1234*mode); }
GlobalFree(hgbl);     
    return ret;
 
    
}
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

function create_menu_tool(SHADOW_STRUCT* my_shadow) {
   HWND prop_wnd;
   HWND combo1_cmb;
   HWND combo2_cmb;  
   HWND slider1_trb;
   HWND slider2_trb;
   HWND slider3_trb;
   HWND slider4_trb;
   HWND slider5_trb;
   HWND slider6_trb;
   HWND slider7_trb;
   HWND slider8_trb;   
   HWND slider9_trb;      
   HWND slider10_trb;         
   HWND label1_std;
   HWND label2_std;
   HWND label3_std;
   HWND label4_std;
   HWND label5_std;
   HWND label6_std;
   HWND label7_std;
   HWND label8_std;
   HWND label9_std;   
   HWND label10_std;      
   HWND label11_std;         
   HWND digit1_std;
   HWND digit2_std;
   HWND digit3_std;
   HWND digit4_std;
   HWND digit5_std;
   HWND digit6_std;
   HWND digit7_std;
   HWND digit8_std;   
   HWND digit9_std;      
   HWND digit10_std;         
   HWND frame1_std;
   HWND frame2_std;
   HWND check1_cmd;
   HWND check2_cmd;
   HWND check3_cmd;   
   HWND check4_cmd;
   HWND but1_cmd;      
   char temp_char[10];  
	HINSTANCE hInstance=GetModuleHandle(NULL);
  	if(is(my_shadow,SUNLIGHT_S)) { str_cpy(temp_str,"Properties Sun"); prop_wnd = diag_edit_lay(hInstance, hWnd,100,100,239,156,0); }
  	if(is(my_shadow,POINTLIGHT_P)) { str_cpy(temp_str,"Properties Pointlight"); prop_wnd = diag_edit_lay(hInstance, hWnd,100,100,121,156,0); } 
  	if(is(my_shadow,SPOTLIGHT_SP)) { str_cpy(temp_str,"Properties Spotlight"); prop_wnd = diag_edit_lay(hInstance, hWnd,100,100,121,156,0); }  	

  	frame1_std = CreateWindowEx(NULL,"BUTTON","Shadow",WS_CHILD | WS_VISIBLE | BS_GROUPBOX,5,5,220,300,prop_wnd,8,NULL,NULL);  	
  	label1_std = CreateWindowEx(NULL,"STATIC","Resolution",WS_CHILD | WS_VISIBLE | SS_LEFT,10,20,65,20,prop_wnd,2,NULL,NULL);  	
  	label2_std = CreateWindowEx(NULL,"STATIC","Brightness",WS_CHILD | WS_VISIBLE | SS_LEFT,10,45,65,20,prop_wnd,3,NULL,NULL);  	
  	//label3_std = CreateWindowEx(NULL,"STATIC","DepthBlur",WS_CHILD | WS_VISIBLE | SS_LEFT,10,70,65,20,prop_wnd,4,NULL,NULL);  	
  	label4_std = CreateWindowEx(NULL,"STATIC","DepthBias",WS_CHILD | WS_VISIBLE | SS_LEFT,10,95,65,20,prop_wnd,5,NULL,NULL);  	  	
  	label5_std = CreateWindowEx(NULL,"STATIC","Soften",WS_CHILD | WS_VISIBLE | SS_LEFT,10,120,65,20,prop_wnd,6,NULL,NULL);  	  	
  	label9_std = CreateWindowEx(NULL,"STATIC","Fade Dist",WS_CHILD | WS_VISIBLE | SS_LEFT,10,170,65,20,prop_wnd,34,NULL,NULL);  	  	  	  	 	
  	label10_std = CreateWindowEx(NULL,"STATIC","max arc",WS_CHILD | WS_VISIBLE | SS_LEFT,10,195,65,20,prop_wnd,35,NULL,NULL);  	  	  	  	 	
  	
  	digit1_std = CreateWindowEx(NULL,"EDIT","0",WS_CHILD | ES_CENTER| ES_NUMBER | WS_VISIBLE,180,45,30,20,prop_wnd,21,NULL,NULL);  	
  	digit2_std = CreateWindowEx(NULL,"EDIT","0",WS_CHILD | ES_CENTER| ES_NUMBER | WS_VISIBLE,180,70,30,20,prop_wnd,22,NULL,NULL);  	  	
  	digit3_std = CreateWindowEx(NULL,"EDIT","0",WS_CHILD | ES_CENTER| ES_NUMBER | WS_VISIBLE,180,95,30,20,prop_wnd,23,NULL,NULL);  	
  	digit4_std = CreateWindowEx(NULL,"EDIT","0",WS_CHILD | ES_CENTER| ES_NUMBER | WS_VISIBLE,180,120,30,20,prop_wnd,24,NULL,NULL);  	  	
  	digit5_std = CreateWindowEx(NULL,"EDIT","0",WS_CHILD | ES_CENTER| ES_NUMBER | WS_VISIBLE,180,145,30,20,prop_wnd,25,NULL,NULL);  	
  	digit9_std = CreateWindowEx(NULL,"EDIT","0",WS_CHILD | ES_CENTER| ES_NUMBER | WS_VISIBLE,180,170,40,20,prop_wnd,29,NULL,NULL);  	  	 	  	
  	digit10_std = CreateWindowEx(NULL,"EDIT","0",WS_CHILD | ES_CENTER| ES_NUMBER | WS_VISIBLE,180,195,30,20,prop_wnd,51,NULL,NULL);  	  	 	  	  	
  	slider1_trb = CreateWindowEx(NULL,TRACKBAR_CLASS,"trb1",WS_CHILD | WS_VISIBLE | TBS_AUTOTICKS | TBS_ENABLESELRANGE,80,45,100,20,prop_wnd,11,NULL,NULL);
  	slider2_trb = CreateWindowEx(NULL,TRACKBAR_CLASS,"trb2",WS_CHILD | WS_VISIBLE | TBS_AUTOTICKS | TBS_ENABLESELRANGE,80,70,100,20,prop_wnd,12,NULL,NULL);
  	slider3_trb = CreateWindowEx(NULL,TRACKBAR_CLASS,"trb3",WS_CHILD | WS_VISIBLE | TBS_AUTOTICKS | TBS_ENABLESELRANGE,80,95,100,20,prop_wnd,13,NULL,NULL);
   slider4_trb = CreateWindowEx(NULL,TRACKBAR_CLASS,"trb4",WS_CHILD | WS_VISIBLE | TBS_AUTOTICKS | TBS_ENABLESELRANGE,80,120,100,20,prop_wnd,14,NULL,NULL);	
  	slider5_trb = CreateWindowEx(NULL,TRACKBAR_CLASS,"trb5",WS_CHILD | WS_VISIBLE | TBS_AUTOTICKS | TBS_ENABLESELRANGE,80,145,100,20,prop_wnd,15,NULL,NULL);
  	slider9_trb = CreateWindowEx(NULL,TRACKBAR_CLASS,"trb9",WS_CHILD | WS_VISIBLE | TBS_AUTOTICKS | TBS_ENABLESELRANGE,80,170,100,20,prop_wnd,19,NULL,NULL);      
  	slider10_trb = CreateWindowEx(NULL,TRACKBAR_CLASS,"trb10",WS_CHILD | WS_VISIBLE | TBS_AUTOTICKS | TBS_ENABLESELRANGE,80,195,100,20,prop_wnd,20,NULL,NULL);         
   check1_cmd = CreateWindowEx(NULL,"BUTTON","blur",WS_CHILD | WS_VISIBLE | BS_AUTOCHECKBOX,10,145,65,20,prop_wnd,7,NULL,NULL);  	
   combo1_cmb = CreateWindowEx(NULL,"COMBOBOX","cmb1",WS_CHILD | WS_BORDER | CBS_DROPDOWNLIST | WS_VISIBLE,110,20,100,160,prop_wnd,30,NULL,NULL);
   check4_cmd = CreateWindowEx(NULL,"BUTTON","DepthBlur",WS_CHILD | WS_VISIBLE | BS_AUTOCHECKBOX,10,70,65,20,prop_wnd,43,NULL,NULL);  	  	
  	if(is(my_shadow,SUNLIGHT_S)) {
  	  frame2_std = CreateWindowEx(NULL,"BUTTON","Sun",WS_CHILD | WS_VISIBLE  | BS_GROUPBOX,230,5,240,300,prop_wnd,9,NULL,NULL);  	
  	  label6_std = CreateWindowEx(NULL,"STATIC","Azimus",WS_CHILD | WS_VISIBLE | SS_LEFT,235,20,65,20,prop_wnd,31,NULL,NULL);  	  	  	  	
  	  label7_std = CreateWindowEx(NULL,"STATIC","Elavation",WS_CHILD | WS_VISIBLE | SS_LEFT,235,45,65,20,prop_wnd,32,NULL,NULL);  	  	
  	  label8_std = CreateWindowEx(NULL,"STATIC","Distance",WS_CHILD | WS_VISIBLE | SS_LEFT,235,70,65,20,prop_wnd,33,NULL,NULL);  	  	  	  	
  	  digit6_std = CreateWindowEx(NULL,"EDIT","0",WS_CHILD | ES_CENTER| ES_NUMBER | WS_VISIBLE,405,20,60,20,prop_wnd,26,NULL,NULL);  	  	
  	  digit7_std = CreateWindowEx(NULL,"EDIT","0",WS_CHILD | ES_CENTER| ES_NUMBER | WS_VISIBLE,405,45,60,20,prop_wnd,27,NULL,NULL);  	  	
  	  digit8_std = CreateWindowEx(NULL,"EDIT","0",WS_CHILD | ES_CENTER| ES_NUMBER | WS_VISIBLE,405,70,60,20,prop_wnd,28,NULL,NULL);  	  	 	
  	  slider6_trb = CreateWindowEx(NULL,TRACKBAR_CLASS,"trb6",WS_CHILD | WS_VISIBLE | TBS_AUTOTICKS | TBS_ENABLESELRANGE,305,20,100,20,prop_wnd,16,NULL,NULL);
  	  slider7_trb = CreateWindowEx(NULL,TRACKBAR_CLASS,"trb7",WS_CHILD | WS_VISIBLE | TBS_AUTOTICKS | TBS_ENABLESELRANGE,305,45,100,20,prop_wnd,17,NULL,NULL);
  	  slider8_trb = CreateWindowEx(NULL,TRACKBAR_CLASS,"trb8",WS_CHILD | WS_VISIBLE | TBS_AUTOTICKS | TBS_ENABLESELRANGE,305,70,100,20,prop_wnd,18,NULL,NULL);   
     check2_cmd = CreateWindowEx(NULL,"BUTTON","rotate sun towards camera",WS_CHILD | WS_VISIBLE | BS_AUTOCHECKBOX,235,95,200,20,prop_wnd,41,NULL,NULL);  	
     check3_cmd = CreateWindowEx(NULL,"BUTTON","move sun with camera",WS_CHILD | WS_VISIBLE | BS_AUTOCHECKBOX,235,120,200,20,prop_wnd,42,NULL,NULL);  	 
  	  label11_std = CreateWindowEx(NULL,"STATIC","Views",WS_CHILD | WS_VISIBLE | SS_LEFT,10,220,65,20,prop_wnd,36,NULL,NULL);  	  	  	  	 	
     combo2_cmb = CreateWindowEx(NULL,"COMBOBOX","cmb2",WS_CHILD | WS_BORDER | CBS_DROPDOWNLIST | WS_VISIBLE,110,220,100,160,prop_wnd,1,NULL,NULL);     
   }
   //else but1_cmd = CreateWindowEx(NULL,"BUTTON","Go to",WS_CHILD | WS_VISIBLE,10,220,100,20,prop_wnd,50,NULL,NULL);
  LPSTR addstring_str = "256";
SendMessage(combo1_cmb,CB_ADDSTRING,NULL,(LPARAM)addstring_str);
 addstring_str = "512";
SendMessage(combo1_cmb,CB_ADDSTRING,NULL,(LPARAM)addstring_str);
 addstring_str = "1024";
SendMessage(combo1_cmb,CB_ADDSTRING,NULL,(LPARAM)addstring_str);
 addstring_str = "2048";
SendMessage(combo1_cmb,CB_ADDSTRING,NULL,(LPARAM)addstring_str);
        SendMessage(slider1_trb,TBM_SETRANGEMAX,TRUE,(LPARAM)255);
        SendMessage(slider1_trb,TBM_SETRANGEMIN,TRUE,(LPARAM)0);
        SendMessage(slider1_trb,TBM_SETTICFREQ,(WPARAM)25,0);
        SendMessage(slider2_trb,TBM_SETRANGEMAX,TRUE,(LPARAM)300);
        SendMessage(slider2_trb,TBM_SETRANGEMIN,TRUE,(LPARAM)1);
        SendMessage(slider2_trb,TBM_SETTICFREQ,(WPARAM)30,0);
        SendMessage(slider3_trb,TBM_SETRANGEMAX,TRUE,(LPARAM)400);
        SendMessage(slider3_trb,TBM_SETRANGEMIN,TRUE,(LPARAM)1);
        SendMessage(slider3_trb,TBM_SETTICFREQ,(WPARAM)40,0);
        SendMessage(slider4_trb,TBM_SETRANGEMAX,TRUE,(LPARAM)400);
        SendMessage(slider4_trb,TBM_SETRANGEMIN,TRUE,(LPARAM)1);
        SendMessage(slider4_trb,TBM_SETTICFREQ,(WPARAM)40,0);
        SendMessage(slider5_trb,TBM_SETRANGEMAX,TRUE,(LPARAM)300);
        SendMessage(slider5_trb,TBM_SETRANGEMIN,TRUE,(LPARAM)1);
        SendMessage(slider5_trb,TBM_SETTICFREQ,(WPARAM)30,0);
        SendMessage(slider9_trb,TBM_SETRANGEMAX,TRUE,(LPARAM)20000);
        SendMessage(slider9_trb,TBM_SETRANGEMIN,TRUE,(LPARAM)2000);
        SendMessage(slider9_trb,TBM_SETTICFREQ,(WPARAM)2000,0);
        SendMessage(slider10_trb,TBM_SETRANGEMAX,TRUE,(LPARAM)120);
        SendMessage(slider10_trb,TBM_SETRANGEMIN,TRUE,(LPARAM)10);
        SendMessage(slider10_trb,TBM_SETTICFREQ,(WPARAM)12,0);

    	  SendMessage(combo1_cmb,CB_SETCURSEL,integer((my_shadow.res/256)/2)-integer((my_shadow.res/256)/8),0);
    	  SendMessage(slider1_trb,TBM_SETPOS,TRUE,my_shadow.brightness);
    	  SendMessage(slider2_trb,TBM_SETPOS,TRUE,my_shadow.depth_blur);
    	  SendMessage(slider3_trb,TBM_SETPOS,TRUE,my_shadow.depth_bias);
    	  SendMessage(slider4_trb,TBM_SETPOS,TRUE,my_shadow.soften);
    	  SendMessage(slider5_trb,TBM_SETPOS,TRUE,my_shadow.blur);        
    	  SendMessage(slider9_trb,TBM_SETPOS,TRUE,my_shadow.fade);        
    	  SendMessage(slider10_trb,TBM_SETPOS,TRUE,my_shadow.arc);                
        SendMessage(digit1_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,my_shadow.brightness)));
        SendMessage(digit2_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,my_shadow.depth_blur)));
        SendMessage(digit3_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,my_shadow.depth_bias)));
        SendMessage(digit4_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,my_shadow.soften)));
        SendMessage(digit5_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,my_shadow.blur)));
        SendMessage(digit9_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,my_shadow.fade)));   	  
        SendMessage(digit10_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,my_shadow.arc)));   	      	  
    	  SendMessage(check1_cmd,BM_SETCHECK,is(my_shadow,BLUR),0);
    	  SendMessage(check4_cmd,BM_SETCHECK,is(my_shadow,DEPTHBLUR),0);
  	   if(is(my_shadow,SUNLIGHT_S)) {
        addstring_str = "1";
        SendMessage(combo2_cmb,CB_ADDSTRING,NULL,(LPARAM)addstring_str);
        addstring_str = "2";
        SendMessage(combo2_cmb,CB_ADDSTRING,NULL,(LPARAM)addstring_str);
        addstring_str = "3";
        SendMessage(combo2_cmb,CB_ADDSTRING,NULL,(LPARAM)addstring_str);
        addstring_str = "4";
        SendMessage(combo2_cmb,CB_ADDSTRING,NULL,(LPARAM)addstring_str);      
        SendMessage(slider6_trb,TBM_SETRANGEMAX,TRUE,(LPARAM)360);
        SendMessage(slider6_trb,TBM_SETRANGEMIN,TRUE,(LPARAM)0);
        SendMessage(slider6_trb,TBM_SETTICFREQ,(WPARAM)36,0);
        SendMessage(slider7_trb,TBM_SETRANGEMAX,TRUE,(LPARAM)90);
        SendMessage(slider7_trb,TBM_SETRANGEMIN,TRUE,(LPARAM)0);
        SendMessage(slider7_trb,TBM_SETTICFREQ,(WPARAM)9,0);
        SendMessage(slider8_trb,TBM_SETRANGEMAX,TRUE,(LPARAM)40000);
        SendMessage(slider8_trb,TBM_SETRANGEMIN,TRUE,(LPARAM)4000);
        SendMessage(slider8_trb,TBM_SETTICFREQ,(WPARAM)4000,0);
        SendMessage(slider6_trb,TBM_SETPOS,TRUE,sun_angle.pan);
    	  SendMessage(slider7_trb,TBM_SETPOS,TRUE,sun_angle.tilt);
    	  SendMessage(slider8_trb,TBM_SETPOS,TRUE,my_shadow.range);       
        SendMessage(digit6_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,sun_angle.pan)));
        SendMessage(digit7_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,sun_angle.tilt)));
        SendMessage(digit8_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,my_shadow.range)));   	  
    	  SendMessage(check2_cmd,BM_SETCHECK,is(my_shadow,ROTATE_S),0);
    	  SendMessage(check3_cmd,BM_SETCHECK,is(my_shadow,MOVE_S),0);
    	  SendMessage(combo2_cmb,CB_SETCURSEL,my_shadow.views-1,0);    	  
      }
  	ShowWindow(prop_wnd,SW_SHOW);
  	menu_arr[num_menus] = prop_wnd;
  	num_menus += 1;
wait(1); 

  while (prop_wnd != NULL) { 
  	 if (act_wnd == NULL) { wait(1); continue;  }
  	 if (act_wnd != prop_wnd) { wait(1); continue;  }  	    
    switch (command_mess) { 
    case 0: break;
     case 1:
        my_shadow.views = SendMessage(combo2_cmb,CB_GETCURSEL,0,0)+1;
        my_shadow.change = 1;
      break;    
    case 7:
     tempi = SendMessage(check1_cmd,BM_GETCHECK,0,0);
     if(tempi) set(my_shadow,BLUR);
     else reset(my_shadow,BLUR);
     my_shadow.change = 1;
     break;   
    case 11:
     if (thump_wnd == slider1_trb) { my_shadow.brightness = SendMessage(slider1_trb,TBM_GETPOS,0,0); SendMessage(digit1_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,my_shadow.brightness))); }
     if (thump_wnd == slider2_trb) { my_shadow.depth_blur = SendMessage(slider2_trb,TBM_GETPOS,0,0); SendMessage(digit2_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,my_shadow.depth_blur))); }
     if (thump_wnd == slider3_trb) { my_shadow.depth_bias = SendMessage(slider3_trb,TBM_GETPOS,0,0); SendMessage(digit3_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,my_shadow.depth_bias))); }
     if (thump_wnd == slider4_trb) { my_shadow.soften = SendMessage(slider4_trb,TBM_GETPOS,0,0); SendMessage(digit4_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,my_shadow.soften))); }        
     if (thump_wnd == slider5_trb) { my_shadow.blur = SendMessage(slider5_trb,TBM_GETPOS,0,0); SendMessage(digit5_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,my_shadow.blur))); }    
     if (thump_wnd == slider6_trb) { sun_angle.pan = SendMessage(slider6_trb,TBM_GETPOS,0,0); SendMessage(digit6_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,sun_angle.pan))); }    
     if (thump_wnd == slider7_trb) { sun_angle.tilt = SendMessage(slider7_trb,TBM_GETPOS,0,0); SendMessage(digit7_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,sun_angle.tilt))); }    
     if (thump_wnd == slider8_trb) { my_shadow.range = SendMessage(slider8_trb,TBM_GETPOS,0,0); SendMessage(digit8_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,my_shadow.range))); }    
     if (thump_wnd == slider9_trb) { my_shadow.fade = SendMessage(slider9_trb,TBM_GETPOS,0,0); SendMessage(digit9_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,my_shadow.fade))); }    
     if (thump_wnd == slider10_trb) { my_shadow.arc = SendMessage(slider10_trb,TBM_GETPOS,0,0); SendMessage(digit10_std,WM_SETTEXT,0,_chr(str_for_num(temp_str,my_shadow.arc))); }        
    break;
     case 21:                
            SendMessage(digit1_std,WM_GETTEXT,10,temp_char); 
            my_shadow.brightness = str_to_num(temp_char);
            SendMessage(slider1_trb,TBM_SETPOS,TRUE,my_shadow.brightness);  
     break;
     case 22:                
            SendMessage(digit2_std,WM_GETTEXT,10,temp_char); 
            my_shadow.depth_blur = str_to_num(temp_char);
            SendMessage(slider2_trb,TBM_SETPOS,TRUE,my_shadow.depth_blur);  
     break;
     case 23:                
            SendMessage(digit3_std,WM_GETTEXT,10,temp_char); 
            my_shadow.depth_bias = str_to_num(temp_char);
            SendMessage(slider3_trb,TBM_SETPOS,TRUE,my_shadow.depth_bias);  
     break;
     case 24:                
            SendMessage(digit4_std,WM_GETTEXT,10,temp_char); 
            my_shadow.soften = str_to_num(temp_char);
            SendMessage(slider4_trb,TBM_SETPOS,TRUE,my_shadow.soften);  
     break;
     case 25:                
            SendMessage(digit5_std,WM_GETTEXT,10,temp_char); 
            my_shadow.blur = str_to_num(temp_char);
            SendMessage(slider5_trb,TBM_SETPOS,TRUE,my_shadow.blur);  
     break;
     case 26:                
            SendMessage(digit6_std,WM_GETTEXT,10,temp_char); 
            sun_angle.pan = str_to_num(temp_char)%360;
            SendMessage(slider6_trb,TBM_SETPOS,TRUE,sun_angle.pan);  
     break;
     case 27:                
            SendMessage(digit7_std,WM_GETTEXT,10,temp_char); 
            sun_angle.tilt = str_to_num(temp_char)%90;
            SendMessage(slider7_trb,TBM_SETPOS,TRUE,sun_angle.tilt);  
     break;
     case 28:                
            SendMessage(digit8_std,WM_GETTEXT,10,temp_char); 
            my_shadow.range = str_to_num(temp_char);
            SendMessage(slider8_trb,TBM_SETPOS,TRUE,my_shadow.range);  
     break;
     case 29:                
            SendMessage(digit9_std,WM_GETTEXT,10,temp_char); 
            my_shadow.fade = str_to_num(temp_char);
            SendMessage(slider9_trb,TBM_SETPOS,TRUE,my_shadow.fade);  
     break;
     case 51:                
            SendMessage(digit10_std,WM_GETTEXT,10,temp_char); 
            my_shadow.arc = str_to_num(temp_char);
            SendMessage(slider10_trb,TBM_SETPOS,TRUE,my_shadow.arc);  
     break;    
         
     case 30:
        my_shadow.res = pow(2,SendMessage(combo1_cmb,CB_GETCURSEL,0,0)+8);
        my_shadow.change = 1;
      break;
    case 41:
     tempi = SendMessage(check2_cmd,BM_GETCHECK,0,0);
     if(tempi) set(my_shadow,ROTATE_S);
     else reset(my_shadow,ROTATE_S);
     break;
    case 42:
     tempi = SendMessage(check3_cmd,BM_GETCHECK,0,0);
     if(tempi) set(my_shadow,MOVE_S);
     else reset(my_shadow,MOVE_S);     
     break;
    case 43:
     tempi = SendMessage(check4_cmd,BM_GETCHECK,0,0);
     if(tempi) set(my_shadow,DEPTHBLUR);
     else reset(my_shadow,DEPTHBLUR);
     my_shadow.change = 1;     
     break;           
     default: break;
    }
    command_mess = 0; act_wnd = NULL;
    wait (1);   
  }
}

function set_menu() {
hMenu=CreateMenu();
hSubMenu1=CreateMenu();
hSubMenu2=CreateMenu();
InsertMenu(hMenu,0,MF_BYPOSITION|MF_STRING|MF_POPUP,hSubMenu1,"File");
//InsertMenu(hSubMenu1,0,MF_BYPOSITION|MF_STRING,1,"Next Example");
//InsertMenu(hSubMenu1,1,MF_BYPOSITION|MF_STRING,2,"Previous Example");
//InsertMenu(hSubMenu1,2,MF_BYPOSITION|MF_STRING,3,"Walkthrough");
InsertMenu(hSubMenu1,0,MF_BYPOSITION|MF_STRING,4,"Exit");

InsertMenu(hMenu,1,MF_BYPOSITION|MF_STRING|MF_POPUP,hSubMenu2,"Shadows");

InsertMenu(hSubMenu2,0,MF_BYPOSITION|MF_STRING,5,"Sun Shadow");
InsertMenu(hSubMenu2,1,MF_BYPOSITION|MF_STRING,6,"Pointshadow 1");
InsertMenu(hSubMenu2,2,MF_BYPOSITION|MF_STRING,7,"Spotshadow 1");
SetMenu(hWnd,hMenu); //activate the main menu
ShowWindow(hWnd,SW_SHOW); 

}

function recreate_menu(num) {
	if(level_num == 1) {
		DeleteMenu(hSubMenu2,2,MF_BYPOSITION);
		DeleteMenu(hSubMenu2,1,MF_BYPOSITION);
		DeleteMenu(hSubMenu2,0,MF_BYPOSITION);	
	}
	if(level_num == 2) {
		DeleteMenu(hSubMenu2,0,MF_BYPOSITION);	
	}
	if(level_num == 3) {
		DeleteMenu(hSubMenu2,3,MF_BYPOSITION);
		DeleteMenu(hSubMenu2,2,MF_BYPOSITION);
		DeleteMenu(hSubMenu2,1,MF_BYPOSITION);
		DeleteMenu(hSubMenu2,0,MF_BYPOSITION);	
	}	
	if(num == 1) {
      InsertMenu(hSubMenu2,0,MF_BYPOSITION|MF_STRING,5,"Pointshadow 1");
      InsertMenu(hSubMenu2,1,MF_BYPOSITION|MF_STRING,6,"Spotshadow 1");
      InsertMenu(hSubMenu2,2,MF_BYPOSITION|MF_STRING,7,"Sun Shadow");		
	}
	if(num == 2) {
      InsertMenu(hSubMenu2,0,MF_BYPOSITION|MF_STRING,5,"Sun Shadow");
	}
	if(num == 3) {
      InsertMenu(hSubMenu2,0,MF_BYPOSITION|MF_STRING,5,"Pointshadow 1");
      InsertMenu(hSubMenu2,1,MF_BYPOSITION|MF_STRING,6,"Pointshadow 2");
      InsertMenu(hSubMenu2,2,MF_BYPOSITION|MF_STRING,7,"Pointshadow 3");
      InsertMenu(hSubMenu2,3,MF_BYPOSITION|MF_STRING,8,"Pointshadow 4");		
      
	}			
}
/*
function switch_level(num) {
	if(num>3) num = 1;
	if(num<1) num = 3;
	exit_all();
	wait_for(exit_all);
	short i;
	for(i=0;i<num_menus;i++) {
      DestroyWindow(menu_arr[i]);
      menu_arr[i] = NULL;		
	}
	num_menus = 0;
	switch(num) {
		case 1:
		 level_load("testland.wmb");
		 wait(1);
		 do_level1();
		 recreate_menu(1);
		 break;
		case 2:
		 //level_load("l2.wmb");
		 wait(1);
		 do_level2();
		 recreate_menu(2);		 
		 break;
		case 3:
		 //level_load("l3.wmb");
		 wait(1);
		 do_level3();
		 recreate_menu(3);		 
		 break;
		 
		default : break;
	}
	level_num = num;
}

function blicht_spec_fun(PARTICLE* p)
{
    if(p.size > 0) { p.size -= random(0.445 )*time_step; }else{p.lifespan = 0;  }
    p.alpha -= p.skill_b*time_step;
    if(p.alpha <= 0) { p.alpha = 0; p.lifespan = 0;  }
    p.skill_b += 0.1;
}

function blichtspezial(PARTICLE* p)
{
    p.blue = 136 ;
    p.green = 222 ;
    p.red = 255 ;
    p.bmap = blichtBmap;  //the effect bitmap
    p.vel_x = random( 3 ) - 1.5 ;
    p.vel_y = random( 3 ) - 1.5 ;
    p.vel_z = random( 1 );
    p.size = 15.520 ;
    p.alpha = 10.971 ;
    p.gravity = 0.010 ;
    p.flags |= TRANSLUCENT;
    p.flags |= MOVE;
    p.flags |= BRIGHT;
    p.skill_b = 0.8;
    p.event = blicht_spec_fun;
}

action blau_feuer()
{ wait(1);
var eff_pos[3];
     vec_for_vertex(eff_pos,my,25);
     eff_pos[0] += 12*abs(sin(my.tilt))*cos(my.pan);
     eff_pos[1] += 12*abs(sin(my.tilt))*sin(my.pan);
     eff_pos[2] += 12*cos(my.tilt);
     //create_pointlight(eff_pos[0],600,vector(255,222,136));
  while(1)
  {
     effect(blichtspezial,maxv(1,10*time_step),eff_pos[0],nullvector);
     wait(1);
  }
}
*/

function bounce_event() 
{
  switch (event_type)
  {
    case EVENT_BLOCK:
      vec_to_angle(my.pan,bounce); // change direction
      return;
    case EVENT_ENTITY: 
      vec_to_angle(my.pan,bounce); // change direction
      return;
  }
}  


action ball() {
	wait(1);
	var my_speed[3]; my_speed[0] = 5; my_speed[1] = 0; my_speed[2] = 0;
	my.emask |= (ENABLE_BLOCK | ENABLE_ENTITY); 
	my.event = bounce_event;
	while(1) {
		my_speed[0] = 5*time_step;
		c_move(my,my_speed[0],nullvector,NULL);
		wait(1);
	}
}